apt 3.1.11 commandline package manager

Classes | Public Member Functions | Public Attributes | List of all members
PatternTreeParser Struct Reference

PatternTreeParser parses the given sentence into a parse tree. More...

`#include <apt-pkg/cachefilter-patterns.h>`

## Classes
struct | Node
struct | Error
struct | PatternNode
struct | WordNode
struct | State
struct | ZeroStringView
| Zero-terminated wrapper for std::string_view. More...

## Public Member Functions
| PatternTreeParser (std::string_view sentence)
off_t | skipSpace ()
std::unique_ptr< Node > | parseTop ()
| Parse a complete pattern.
std::unique_ptr< Node > | parse ()

## Public Attributes
APT::Internal::PatternTreeParser::ZeroStringView | sentence
State | state

## Detailed Description

PatternTreeParser parses the given sentence into a parse tree.

The parse tree consists of nodes:

- Word nodes which contains words or quoted words
- Patterns, which represent ?foo and ?foo(...) patterns

## Member Function Documentation

## ◆ parseTop()

std::unique_ptr< PatternTreeParser::Node > parseTop | ( |  | ) |

Parse a complete pattern.

There may not be anything before or after the pattern, except for whitespace.

Referenced by APT::CacheFilter::ParsePattern().

The documentation for this struct was generated from the following files:

- apt-pkg/cachefilter-patterns.h
- apt-pkg/cachefilter-patterns.cc